import { Component } from "@angular/core";
import { Server } from "../../server";

@Component({
  templateUrl: "./raw-editor.component.html",
})
export class RawEditorComponent {
  rawData = "{}";

  constructor(private server: Server) {
    this.server = server;
  }

  private loadData() {
    this.server.load(this.rawData);
  }

  private saveData() {
    this.rawData = this.server.save();
  }
}
